Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82948 - Problems with %post script of mailman-2.1-7 RPM on RH 7.3
Summary: Problems with %post script of mailman-2.1-7 RPM on RH 7.3
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mailman
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-28 21:18 UTC by Justin Georgeson
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-03 22:24:35 UTC


Attachments (Terms of Use)
The output creted from `rpm -Uvh mailman-2.1-7.i386.rpm` (deleted)
2003-01-28 21:19 UTC, Justin Georgeson
no flags Details
Changes I made to the spec file to work with postfix on RH 7.3 (deleted)
2003-01-28 21:41 UTC, Justin Georgeson
no flags Details | Diff

Description Justin Georgeson 2003-01-28 21:18:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
I downloaded the 2.1-7 source RPM of mailman from RawHide for use on a RedHat
7.3 system running Postfix 1.1.7. I made two changes to the spec file for mailman:

1) Added %define __python /usr/bin/python2
2) Changed the post section to use /etc/postfix/aliases instead of /etc/aliases. 

The RPM build successfully, but on install, the section of the post script which
deletes and recompiles python files seems to fail, and the rest of the script
isn't executed. I'm left with a 0 length /etc/aliases files, and /var/mailman is
owned by root:mailman instead of mailman:mailman. I am going to attach a text
file with the output created when I install the compiled RPM.

My main motivation for using the 2.1-7 RPM from rawhide is to get the enhanced
postfix support of 2.1 over 2.0.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. `cd /usr/src/redhat/SPECS`
2. Make the listed changes to the spec file
3. `rpm -bb mailman.spec`
4. `rpm -Uvh ../RPMS/i386/mailman-2.1-7.i386.rpm
    

Actual Results:  See attachment

Expected Results:  Not sure of the *Exact* results, but there should be no errors.

Additional info:

Comment 1 Justin Georgeson 2003-01-28 21:19:34 UTC
Created attachment 89661 [details]
The output creted from `rpm -Uvh mailman-2.1-7.i386.rpm`

Comment 2 Justin Georgeson 2003-01-28 21:35:53 UTC
I'm stupid. I realised that the spec files calls 'python' to recompile. I
changed the  line to use %{__python} and it worked. I'll attach a diff of my
final spec file.

Comment 3 Justin Georgeson 2003-01-28 21:41:55 UTC
Created attachment 89662 [details]
Changes I made to the spec file to work with postfix on RH 7.3

The only straggling problem is the prereq for /usr/bin/newaliases fails, even
though the files exists (as a symlink to /etc/alternatives/mta-newaliases,
which is a symlink to /usr/bin/newaliases.postfix).


Note You need to log in before you can comment on or make changes to this bug.